<?php include("style.php"); 
if($_SESSION["smartshipcloud-login-id"]==""){
	die('<meta http-equiv="refresh" content="0; url=index.php">');
} else {
	echo'
	<br>
	<br><br>
	<div align="center" style="width:100%;overflow:hidden;">
		<br>
		<div class="animated flipInX" style="width:500px;background-color:rgba(170,170,170,0.6);box-shadow: 5px 5px 5px hsla(0,0%,20%,0.5),-5px -5px 5px hsla(0,0%,20%,0.5);">
			<table style="width:100%;"><tr valign="top"><td align="center">
				<img src="data/icons/profile.svg" height="80px">
			</td><td>
				';
				if($_GET[func]=="edit"){
					if($_GET[func2]=="save"){
						if($_POST["firma"]=="" or $_POST["vorname"]=="" or $_POST["nachname"]=="" or $_POST["adresse"]==""){
							
						} else {
							$adresse = str_replace("\n","<br>",$_POST["adresse"]);
							$adresse = htmlentities($adresse);
							$adresse = str_replace("&lt;br&gt;","<br>",$adresse);
							$statement = $pdo->prepare('UPDATE smartshipcloud_login SET firma = "'.htmlentities($_POST["firma"]).'",vorname = "'.htmlentities($_POST["vorname"]).'",nachname = "'.htmlentities($_POST["nachname"]).'",mail = "'.htmlentities($_POST["mail"]).'",tel = "'.htmlentities($_POST["tel"]).'",adresse = "'.$adresse.'" WHERE id="'.$ausgabelogin[id].'"');
							$statement->execute(array());
						}
						die('<meta http-equiv="refresh" content="0; url=login_konto.php">');
					}
					echo'
						<form method="post" action="?func=edit&func2=save">
							<table><tr><td align="center">
								<input type="text" name="firma" value="'.$ausgabelogin[firma].'" style="width:80%;">
							</td></tr><tr><td align="center">
								<input type="text" name="vorname" value="'.$ausgabelogin[vorname].'" style="width:40%;"><input type="text" name="nachname" value="'.$ausgabelogin[nachname].'" style="width:40%;">
							</td></tr><tr><td align="center">
								<textarea type="text" name="adresse" rows="1" style="width:80%;">'.str_replace("<br>","\n",$ausgabelogin[adresse]).'</textarea>
							</td></tr><tr><td align="center">
								<input type="text" name="mail" value="'.$ausgabelogin[mail].'" placeholder="E-Mail" style="width:80%;">
							</td></tr><tr><td align="center">
								<input type="text" name="tel" value="'.$ausgabelogin[tel].'" placeholder="Telefon" style="width:80%;">
							</td></tr></table>
							</td><td align="right">
								<input type="button" class="button" value="abbrechen" onclick="window.location.href=\'?func=\'">
								<br><br><br><br><br><br>
								<input type="submit" class="button" value="speichern" style="font-weight:bold;">
							</td></tr></table>
						</form>
					';
				} else {
					echo'
						<b>Fa. '.$ausgabelogin[firma].'</b><br>
						'.$ausgabelogin[vorname].' '.$ausgabelogin[nachname].'<br>
						'.$ausgabelogin[adresse].'<br>
						'.$ausgabe[mail].'<br>
						'.$ausgabe[tel].'
						</td><td align="right">
							<input type="button" class="button" value="&auml;ndern" onclick="window.location.href=\'?func=edit\'">
						</td></tr></table>
					';
				}
				if($_POST["func"]=="editPW"){
					$salt = '983je7usl923nslk890233jdiskdj9e';
					$passwortalt = sha1(md5($_POST["pwalt"]) . $salt . sha1($salt . $_POST["pwalt"]));
					$passwortneu = sha1(md5($_POST["pwneu"]) . $salt . sha1($salt . $_POST["pwneu"]));
					if($passwortalt==$ausgabelogin[passwort] and $_POST["pwneu"] == $_POST["pwneu2"] and $_POST["pwneu"]!=""){
						$statement = $pdo->prepare('UPDATE smartshipcloud_login SET passwort = "'.$passwortneu.'" WHERE BINARY id="'.$ausgabelogin[id].'"');
						$statement->execute(array());  
						echo'<b style="color:green;">Passwort erfolgreich ge&auml;ndert!</b><br>';
					} else {
						echo'<b style="color:red;">Fehler! Daten inkorrekt</b><br>';
					}
				}
				echo'
			<input type="button" class="button" value="Passwort &auml;ndern" onclick="klappen(\'editPW-div\');this.hidden=\'true\';">
			<div id="editPW-div" class="animated bounceIn" hidden>
				<form method="post" action="login_konto.php">
				<input type="hidden" name="func" value="editPW">
				<input type="password" name="pwalt" placeholder="altes Passwort">
				<input type="password" name="pwneu" placeholder="neues Passwort">
				<input type="password" name="pwneu2" placeholder="neues Passwort">
				<input type="submit" class="button" value="speichern" style="font-weight:bold;">
				</form>
			</div>
		</div>
		<br><br>
		
		<script type="text/javascript" src="http://code.jquery.com/jquery-1.7.2.js"></script>
		<script type="text/javascript">
		function editNutzereinstellungen(name,wert){
			$("#div-editNutzereinstellungen-id").load("background.php?func=editNutzereinstellungen&name="+name+"&wert="+wert+"");
		}
		</script>
		<div id="div-editNutzereinstellungen-id" align="center"></div>
		
		<table '; if($ausgabelogin[mail]==""){echo'hidden';} echo'>
		<tr>
		<td><input type="checkbox" '; if($ausgabelogin[erlaube_mailbeitrack]==1){echo' checked';} echo' onclick="editNutzereinstellungen(\'erlaube_mailbeitrack\',this.checked);"></td>
		<td>Benachrichtigung per E-Mail bei Sendungsverfolgung <b style="cursor:pointer;" onclick="klappen(\'info-erlaube_mailbeitrack-td\');">[i]<b></td>
		<td id="info-erlaube_mailbeitrack-td" style="font-size:0.7em;position:absolute;" hidden>
			Sendet eine E-Mail an <b>'.$ausgabelogin[mail].'</b> sobald eine Sendung durch Trackingnummer verfolgt wurde.
		</td>
		</tr>
		<tr>
		<td><input type="checkbox" '; if($ausgabelogin[erlaube_kontakt]==1){echo' checked';} echo' onclick="editNutzereinstellungen(\'erlaube_kontakt\',this.checked);"></td>
		<td>Kontaktm&ouml;glichkeit nach Sendungsverfolgung <b style="cursor:pointer;" onclick="klappen(\'info-kontakt-td\');">[i]<b></td>
		<td id="info-kontakt-td" style="font-size:0.7em;position:absolute;" hidden>
			Nach Verfolgung besteht dem Verfolger die M&ouml;glichkeit durch ein Kontaktformular &uuml;ber <b>'.$ausgabelogin[mail].'</b>
			Kontakt aufzunehmen.
		</td>
		</tr>
		</table>
	</div>
	';
}
include("style2.php"); ?>